//  main: main.less, out: ../style.css

/* ====================================================================================================================================
LAYOUT
======================================================================================================================================*/

.l-container {
  position: relative;
  max-width: 1180px;
  width: 100%;
  margin: 0 auto;
  padding: 0 @margin__m;
  @media @media_smartphone, @media_tablet, @media_landascape {
    padding: 0 @margin__m/2;
  }
}

.l-container_mopeds {
  position: relative;
  max-width: 1220px;
  width: 100%;
  margin: 0 auto;
  padding: 0 @margin__m;
  @media @media_smartphone, @media_tablet, @media_landascape {
    padding: 0 @margin__m/2;
  }
}

.l-container_s {
  position: relative;
  max-width: 800px;
  width: 92%;
  margin: 0 auto;

  @media @media_smartphone {
    width: 88%;
  }
}

.l-container_page {
  position: relative;
  max-width: 1024px;
  width: 100%;
  margin: 0 auto;
  padding: 0 @margin__s;
}

.l-fullwidth {
  position: relative;
  width: 100%;
}

.l-half {
  width: 50%;
  @media @media_smartphone {
    width: 100%;
  }
}

.l-flex {
  .u-flex-display;
  //.u-justify-content(space-between);

  // &>* {
  //   width: 22%;
  // }
  @media @media_smartphone {
    .u-flex-direction(column);
  }
}

.l-margin {
  margin: @margin__xl auto;
}

.l-nomargin {
  margin: 0 auto;
}

.container-article {
  .u-flex-display;
}
